

Export-3D-Studio()         Unix Programmer's Manual         Export-3D-Studio()


NAME
     exp_3ds - 3D Studio geometry export filter

SYNOPSIS

     This man page describes the options specific to the  3D  Studio  geometry
     export converter.

EXAMPLE CONVERSION SYNTAX

     To convert a Wavefront file to 3D Studio  using  the  default  parameters
     listed in the setup.ini file:

          pt -i wave -o 3ds filename.obj

OVERVIEW

     The 3D Studio geometry export  converter  writes  out  the  entire  scene
     database as smoothed triangle meshes along with their associated material
     definitions as well as all lights and cameras that  are  defined  in  the
     converter's database.

     This converter outputs almost every possible 3D  Studio  file  attribute.
     For  materials,  a  partial  list includes all texture maps (texture # 1,
     texture # 2, reflect map, bump  map,  shininess  map  and  opacity  map),
     automatic  planar  & cubical environment maps, transparency values, phong
     values and shading modes (flat to metal). Note: the converter  also  does
     shading parameter matching so that, for example, colors and textures read
     in from Lightwave will be rendered fairly closely  when  exported  to  3D
     Studio. Other exported attributes include view port settings, atmospheric
     effects and background color schemes.

     All polygons will be converted into triangles, including concave polygons
     and  polygons  with  holes.  Once converted, an algorithm will be invoked
     which assigns unique smoothing group numbers to the  triangle  meshes  so
     that  the  destination  program  can reconstruct the vertex normals (.3ds
     files have no vertex normal information in them).

     Texture coordinates will also be output along with the triangular  meshes
     if texture data exists.

     If  an  object  has  more  than  65535  polygons,  vertices  or   texture
     coordinates  then a complex algorithm will be invoked to split the object
     apart into multiple pieces, each with less than 65535 polygons,  vertices
     and  texture coordinates. Each object will share the same name but have a
     different number appended to the end of the name. Please take  note  that
     the  new sub-objects created will not share the same smoothing group (due
     to a 3D Studio limitation), and thus smoothing will not occur between the
     new sub-objects within 3D Studio. For example, if a sphere which consists
     of 120000 polygons is exported to a 3D Studio file then the  sphere  will
     be  broken  up  into  2 sub-objects; the seam between the two sub-objects
     will not appear to be smooth when rendered within 3D  Studio  because  of
     this smoothing limitation.





                                                                             1



Export-3D-Studio()         Unix Programmer's Manual         Export-3D-Studio()


LIMITATIONS

     Object names in a 3D  Studio  file  are  limited  to  10  characters  and
     material  names  are  limited  to  16 characters. If any exported name is
     found to be longer than these limits then the converter will truncate the
     name  and  make  it unique by appending a number to last character in the
     name.

     3D Studio has a limit of 65535 polygons, vertices or texture  coordinates
     per  object.  Objects  broken  up  into multiple sub-objects may have not
     appear to be smooth where the sub-objects intersect.

COMMAND LINE OPTIONS

     The following options are specific to this export converter:

     -o 3ds
          This is the mandatory command line option which specifies  that  the
          data is to be exported using the 3D Studio format converter.







































                                                                             2

