

Export-DXF()               Unix Programmer's Manual               Export-DXF()


NAME
     exp_dxf - AutoCAD DXF geometry export filter

SYNOPSIS

     This man page describes the options specific to the AutoCAD DXF  geometry
     export converter.

EXAMPLE CONVERSION SYNTAX

     To convert a 3D Studio file to DXF using the default parameters listed in
     the setup.ini file:

          pt -i 3ds -o dxf filename.3ds

     To convert a Lightwave file to DXF  and  override  some  of  the  default
     options in setup.ini:

          pt -i lw -o dxf -out-dxf-entity-type = 3dface filename.lw

OVERVIEW

     The AutoCAD DXF geometry export converter writes out the  scene  database
     as  either  3-point or 4-point polygons using the 3DFACE or POLYFACE MESH
     entities. Polygons with 5 or more vertices, concave polygons, or polygons
     with  holes  are automatically triangulated. Only ENTITIES are output, no
     BLOCKS. All polygons will be assigned DXF color # 1.

     If the file is written using the POLYFACE MESH option then  there  is  no
     need  to  weld  the  geometry data when the DXF file is read into another
     program (since the data output to the  DXF  file  will  be  automatically
     welded by this converter).

     If the data is output using the POLYFACE  MESH  option  then  it  can  be
     stretched,  rotated,  scaled  and  moved  within  AutoCAD using the PEDIT
     command but the data cannot be edited directly. To edit  the  faces,  use
     the  EXPLODE  command  in AutoCAD to break the mesh into separate 3D Face
     entities.

COMMAND LINE OPTIONS

     The following options are specific to this export converter:

     -o dxf
          This is the mandatory command line option which specifies  that  the
          data is to be exported using the DXF format converter.

     -out-dxf-reverse-poly = [ yes | no ]
          If set to 'yes'  then  the  orientation  of  all  polygons  will  be
          reversed  before  being  output;  this  might  be  necessary  if the
          destination program which will read in the DXF file uses a different
          polygon orientation. The default is 'no'.

     -out-dxf-force-triang = [ yes | no ]
          If set to 'yes' then all data  will  be  output  as  triangles.  The
          default is 'no'.


                                                                             1



Export-DXF()               Unix Programmer's Manual               Export-DXF()


     -out-dxf-layer-mode = by-object-name | by-surface-name | one-layer
          This option determines which DXF layer each polygon will be assigned
          to.

          The 'by-object-name' option (which is the default) will  output  all
          polygons  that belong to the same object (ie: a sphere) to their own
          layer whose name will be derived from the object's name.

          The 'by-surface-name' option will output all  polygons  which  share
          the  same  surface/material definition to their own layer whose name
          will be derived from the surface's name.

          The 'one-layer' option will output all polygons to  a  single  layer
          named 'LAYER1'.

     -out-dxf-entity-type = polyface-mesh | 3dface
          This option determines whether polygons will be exported  using  the
          DXF 'Polyface mesh' entity or the '3D FACE' entity.

          If set to 'polyface-mesh', which is the default, then  the  polygons
          will  be  exported  using the DXF Polyface Mesh (PFACE) entity. This
          creates a more compact DXF file and can be read in much faster  than
          a  file written using the 3D FACE entity. All polygons are stored in
          two arrays consisting of a vertex array list and  a  face  list.  In
          AutoCAD you can use the PEDIT command to  stretch, rotate, scale and
          move the mesh but not to edit  it.   To  edit  the  faces,  use  the
          EXPLODE  command  to  break the mesh into separate 3D Face entities.
          NOTE: Files written  using  this  entity  type  already  have  their
          vertices automatically welded by the NuGraf export utility.

          If set to '3dface' then the polygons will be exported using the  DXF
          '3D  FACE' entity. This creates much larger files since each polygon
          is stored to the file one-by-one. However, most DXF reader  programs
          can  read this format so it might be necessary to use this option if
          a DXF reader cannot understand the Polyface Mesh format.

     -out-line-ending = [ cr | lf | crlf ]
          This common option selects which line terminator is to be  used  for
          the ASCII output file. Files destined for DOS/PC machines should use
          'crlf', files for UNIX  machines  should  use  'lf'  and  files  for
          Macintosh  machines  should  use  'cr'.   The default is specific to
          which machine this converter is presently  running  on:  'crlf'  for
          DOS/PC,  'lf'  for UNIX and 'cr' for Macintosh. This option normally
          does not have to be specified unless you will be using the  exported
          ASCII file on a different type of computer.













                                                                             2

