

Export-POV()               Unix Programmer's Manual               Export-POV()


NAME
     exp_pov - Persistence of Vision Ray Tracer v2.0 (POV-Ray) geometry export
     filter.

SYNOPSIS

     This man page describes the options  specific  to  the  POV-Ray  geometry
     export converter.

EXAMPLE CONVERSION SYNTAX

     To convert a 3D Studio file  to  POV-Ray  using  the  default  parameters
     listed in the setup.ini file:

          pt -i 3ds -o povray filename.3ds

OVERVIEW

     This geometry export converter writes out the lights, cameras,  materials
     and  geometry  to  a  Persistence of Vision Ray Tracer (POV-Ray) geometry
     file, version 2.0 format. POV is a popular public domain ray tracer  that
     is available on many BBSs and Internet sites.

COMMAND LINE OPTIONS

     The following options are specific to this import converter:

     -o povray
          This is the mandatory command line option which specifies  that  the
          data is to be exported using the POV-Ray format converter.

CONVERSION NOTES AND LIMITATIONS

     All polygons will be converted to triangles with optional vertex normals.

     The  current  default  camera  will  be  output  as  the  POV-Ray  camera
     (perspective camera only).

     Only point and spot lights will be output.  Directional  lights  are  not
     supported by the POV-Ray v2.0 file format.

     Many attributes will be output to a POV-Ray material definition, such  as
     the  finish  attributes (shininess, ambient, diffuse, specular, index-of-
     refraction, phong values, etc), the pigment color,  and  an  optional  2d
     bitmap texture link.

     POV-Ray only supports Targa, IFF and  'dump'  bitmap  image  formats  for
     texture  mapping.  However,  this converter understands many more formats
     (such as TIFF, JPEG and BMP). If the bitmap output type is not Targa, IFF
     or  'dump'  then  the converter will write 'dump' as the file format. You
     will probably have to hand edit the "image_map" command  to  specify  the
     correct bitmap type and the correct directory location of the texture map
     file.





                                                                             1



Export-POV()               Unix Programmer's Manual               Export-POV()


     The current POV-Ray file format does not allow u/v texture coordinates to
     be  associated  with  the  triangle  geometry.  Therefore, no u/v texture
     coordinates are output. Instead, a default spherical  texture  projection
     method has been enabled within the "image_map" command. You can edit this
     by hand if you so desire.





















































                                                                             2

