

Export-trueSpace()         Unix Programmer's Manual         Export-trueSpace()


NAME
     exp_true - trueSpace geometry export filter

SYNOPSIS

     This man page describes the options specific to  the  trueSpace  geometry
     export converter.

EXAMPLE CONVERSION SYNTAX

     To convert a 3D Studio file to trueSpace  using  the  default  parameters
     listed in the setup.ini file:

          pt -i 3ds -o true filename.3ds

     To convert a Lightwave file to trueSpace and override some of the default
     options in setup.ini:

          pt -i lw -o true -out-true-autofacet-angle = 20 filename.lw

OVERVIEW

     The trueSpace geometry  export  converter  writes  out  a  trueSpace  2.0
     compatible   object   file,  complete  with  all  geometry  and  material
     attributes. A file exported to trueSpace should render almost exactly  as
     whence  the  file  originated (ie: a 3D Studio file exported to trueSpace
     should render almost exactly the same as it would in 3D Studio).

     The following geometry information is output to the file:

          N-sided polygon geometry with recursive holes.

          Texture (u,v) coordinate data.

          All hierarchy information.

          All pivot point information for each object.

     In  addition,  complete  trueSpace  materials  are  output  to  the  file
     including:

          Surface  color,  ambient  shading  coefficient,   specular   shading
          coefficient, opacity value, highlight size and index of refraction.

          Spherical environment maps, texture maps and  bump  maps  (including
          the (u,v) offset and scaling parameters).

COMMAND LINE OPTIONS

     The following options are specific to this export converter:

     -o true
          This is the mandatory command line option which specifies  that  the
          data is to be exported using the trueSpace format converter.




                                                                             1



Export-trueSpace()         Unix Programmer's Manual         Export-trueSpace()


     -out-true-autofacet-angle = <angle>
          This angle determines the cut-off angle  between  abutting  polygons
          which are to appear smooth and those that are to appear faceted. The
          default is 40 degrees. Higher values will make the  geometry  appear
          more  smooth  regardless  of  how  angular  the  data may be whereas
          smaller values will make the data appear  more  faceted.  To  change
          this  value within trueSpace enable the 'Inspect Face' mouse option,
          click on an object, then in the 'shader/maps'  modeless  dialog  box
          right  click  on  the  'autoFacet'  icon  (middle button on the left
          side).

Limitations

     The trueSpace file format is rather limiting compared to most  3d  binary
     file  formats  and as such this limits how much information can be output
     to the trueSpace file:

          trueSpace  does  not  really  have  a  'diffuse  Intensity'  shading
          parameter.  Instead,  trueSpace  makes  the  diffuse  intensity  the
          inverse (more or less) of the specular shininess parameter. This  is
          very  limiting  when  exporting  complex  materials (such as from 3D
          Studio) to  trueSpace.  Thus,  this  export  filter  overcomes  this
          problem by multiplying the inverse of the current database's diffuse
          shading coefficient into the  specular  shading  coefficient  before
          being  output  to  trueSpace.  This  allows  the diffuse or specular
          components to dominate, but not both.

          trueSpace can only read in bitmap files which use the BMP, Targa  or
          JPEG  file  formats.  If any of the exported texture filenames use a
          different file format than these  then  the  export  converter  will
          automatically change the file's extension to .tga (Targa format).



























                                                                             2

