

Import-3D-Studio()         Unix Programmer's Manual         Import-3D-Studio()


NAME
     imp_3ds - 3D Studio geometry import filter

SYNOPSIS

     This man page describes the options specific to the  3D  Studio  geometry
     import converter.

EXAMPLE CONVERSION SYNTAX

     To convert a 3D Studio file to Wavefront  using  the  default  parameters
     listed in the setup.ini file:

          pt -i 3ds -o wave filename.3ds

     To convert a 3D Studio file to VRML and  override  some  of  the  default
     options in setup.ini:

          pt -i 3ds -in-3ds-debug = yes -o vrml filename.3ds

OVERVIEW

     The 3D Studio geometry import converter reads in all objects,  materials,
     lights,  cameras  and  other  auxiliary  data  from  a  .3ds binary file.
     Versions 1 through 4 of the .3ds file format  are  accommodated.  It  can
     also  read  in  data  from  a  3D  Studio  .prj (project) file and a .mli
     (material) file.

COMMAND LINE OPTIONS

     The following options are specific to this import converter:

     -i 3ds
          This is the optional command line option which  specifies  that  the
          input  data  is  one of the supported 3D Studio file formats. If not
          specified then the converter will try  to  guess  the  input  file's
          format  from  its  file  extension and then from the contents of its
          file. Note that the valid file extensions are .3ds, .prj  and  .mli.
          The  .prj  files  contains  the same information as a .3ds file, but
          they also have user interface information that is only usable by  3D
          Studio.  The  .mli  files  contain  material  definitions which this
          converter reads and turns into internal material definitions.

     -in-3ds-smooth = [ yes | no ]
          If 'yes', which is the default, then smoothed vertex normals will be
          computed  based on the smoothing information contained within the 3D
          Studio file; this will make the resulting  object(s)  appear  to  be
          smooth.   If  set  to  'no' then no smoothing will be performed, and
          hence the resulting object(s) will appear to be  flat  shaded  since
          they have no vertex normals associated with them.

     -in-3ds-print-stats = [ yes | no ]
          If 'yes', which is the default, then statistics  will  be  displayed
          about the parsed input file.




                                                                             1



Import-3D-Studio()         Unix Programmer's Manual         Import-3D-Studio()


     -in-3ds-print-warn = [ yes | no ]
          If 'yes' then any warnings output from the parser will be displayed.
          The default is 'no'.

     -in-3ds-debug = [ yes | no ]
          If 'yes' then verbose parsing information will be output to the file
          ASCII  'debug3ds.txt'  located within the current working directory.
          The default is 'no'.

     -in-3ds-read-cameras = [ yes | no ]
     -in-3ds-read-lights = [ yes | no ]
     -in-3ds-read-objects = [ yes | no ]
     -in-3ds-read-materials = [ yes | no ]
     -in-3ds-read-other = [ yes | no ]
          These switches allow specific sections of the 3D Studio file  to  be
          excluded  or  included  in  the import process. All default to 'yes'
          which means that all named entities will be read in. If set to  'no'
          then  the  named  section(s) will not be read into memory. The '-in-
          3ds-read-other' switch pertains to the background, depth  cuing  and
          fog options of the 3D Studio file.

LIMITATIONS

     Any materials which use the 'metal' shading mode will be imported as  the
     'Phong' (smooth) shading mode.

     The 'mask' capabilities of materials are not presently supported.































                                                                             2

