

Import-Alias-Triangle()    Unix Programmer's Manual    Import-Alias-Triangle()


NAME
     imp_alias - Alias triangle geometry import filter

SYNOPSIS

     This man page describes the options specific to the Alias Triangle import
     converter.

EXAMPLE CONVERSION SYNTAX

     To convert  an  Alias  triangle  file  to  Wavefront  using  the  default
     parameters listed in the setup.ini file:

          pt -i alias -o wave filename.tri

     To convert an Alias triangle file  to  VRML  and  override  some  of  the
     default options in setup.ini:

          pt -i alias -in-alias-verbose = yes -o vrml filename.tri

OVERVIEW

     This geometry import converter reads in Alias  Research  triangle  binary
     files      which      can      be     output     from     Alias     Power
     Animator/Studio/AutoStudio/Designer. These files basically  just  contain
     raw  geometry  data  in  triangular format with normals/colors/texture-uv
     coordinates per  vertex.  In  addition  the  file  contains  the  texture
     filename  associated  with  each  polygon  and  the structure of the file
     describes the hierarchy of the original scene.

     To output a triangle file from Alias click on File/Triangles/Options from
     the Alias menu and select "Separators = on" then click on "Go".

COMMAND LINE OPTIONS

     The following options are specific to this import converter:

     -i alias
          This is the optional command line option which  specifies  that  the
          input  data  is  in the Alias triangle file format. If not specified
          then the converter will try to guess the input  file's  format  from
          its file extension (.tri) and then from the contents of its file.

     -in-alias-list-objects = [ on | off ]
          If this option is enabled then the input filter will print  out  the
          names of the objects within the Alias triangle file. No data will be
          loaded in.

     -in-alias-verbose = [ yes | no ]
          If  set  to  'yes'  then  this  converter  will  print  out  verbose
          information  about the Alias triangle file as it is being parsed. No
          data will actually be read into memory.






                                                                             1



Import-Alias-Triangle()    Unix Programmer's Manual    Import-Alias-Triangle()


NOTES

          1. You must manually add the ".tri" extension to the  end  of  these
          Alias   files   since   Alias   does   not   append  this  extension
          automatically.

          2. When Alias outputs the NURB surfaces  to  the  triangle  file  it
          subdivides  the NURB patches into polygons. The level of subdivision
          is set by the environment variables 'TRI_OUTPUT'. This should be set
          on  the  UNIX  command  line  before  entering  Alias. For ex ample:
          'setenv TRI_OUTPUT 32' produces a highly tessellated triangle  mesh.
          Higher numbers produce more polygons.

          3. These  triangle  output  format  is  a  "poor  man's"  method  of
          exporting geometry from Alias. The preferred technique is via SDL or
          the "wire" format. However, "wire" format is not publicly documented
          and the SDL format is complex to parse (due to the animat ion curves
          and NURB trimming curves).

          4. Triangle format files contain vertex location, normal, color  and
          texture  u/v  data  for  each  vertex.  In  addition the file format
          describes the texture filename associated with each triangle.




































                                                                             2

