

Import-CAD3D()             Unix Programmer's Manual             Import-CAD3D()


NAME
     imp_cad3d - CAD 3D geometry import filter

SYNOPSIS

     This man page describes the options  specific  to  the  CAD  3D  geometry
     import converter.

EXAMPLE CONVERSION SYNTAX

     To convert a CAD-3D Studio file to Wavefront using the default parameters
     listed in the setup.ini file:

          pt -i cad3d -o wave filename.3d2

     To convert a CAD-3D file to VRML and override some of the default options
     in setup.ini:

          pt -i cad3d -in-cad3d-list-objects = yes -o vrml filename.3d2

OVERVIEW

     The CAD 3D geometry  import  converter  reads  in  all  objects,  lights,
     cameras  and  color  data  from  a  CAD 3D v2.0 binary file. CAD 3D was a
     popular 3D  rendering program for the Atari ST which was written  by  Tom
     Hudson (of 3D Studio fame).

COMMAND LINE OPTIONS

     The following options are specific to this import converter:

     -i cad3d
          This is the optional command line option which  specifies  that  the
          input  data  is in the CAD 3D file format. If not specified then the
          converter will try to guess the input file's format  from  its  file
          extension (.3d2) and then from the contents of its file.

     -in-cad3d-verbose = [ yes | no ]
          If set to 'yes' then the import converter  will  print  out  verbose
          information about the CAD 3D file as it is being parsed.

     -in-cad3d-calcnormals = [ yes | no ]
          If set to 'yes' then new vertex  normals  will  be  computed  for  a
          polygon  if  it  does  not  have  any  vertex  normals  already. The
          smoothing criterion is based on the angle between abutting polygons;
          common smoothed vertex normals will be computed if the angle between
          their geometric  surfaces  normals  is  less  than  the  '-in-cad3d-
          smoothing-angle'  angle  described below. If set to 'no' then no new
          vertex normals will be created.

     -in-cad3d-smoothing-angle = #
          This option sets the cut-off smoothing angle (in  degrees)  used  by
          the  vertex  normal  computation algorithm. If the angle between two
          abutting polygons is greater than this number then no smoothing will
          occur  (a  crease  will  be  evident between the two polygons), else
          smoothing will occur where the polygons meet. The default  angle  is


                                                                             1



Import-CAD3D()             Unix Programmer's Manual             Import-CAD3D()


          30 degrees.

     -in-cad3d-list-objects = [ yes | no ]
          If set to 'yes' then the import converter will print out  the  names
          of the objects within the CAD 3D file. No data will be loaded in.





















































                                                                             2

