

Import-NFF()               Unix Programmer's Manual               Import-NFF()


NAME
     imp_nff - Haines NFF geometry import filter

SYNOPSIS

     This man page describes the options specific to the Haines  NFF  geometry
     import converter.

EXAMPLE CONVERSION SYNTAX

     To convert a Haines NFF file to Wavefront using  the  default  parameters
     listed in the setup.ini file:

          pt -i nff -o wave filename.nff

     To convert a Haines NFF file to VRML and override  some  of  the  default
     options in setup.ini:

          pt -i nff -in-nff-report-statistics = yes -o vrml filename.nff

OVERVIEW

     This geometry import converter reads in Eric Haines' Neutral File  Format
     (NFF)  files.  This  file  format  is primarily used with the SPD package
     created by Eric Haines (SPD is used to test ray tracing programs). Please
     note  that  this  converter  does  not read in the World Toolkit NFF file
     format which is quite different from Haines' NFF format, nor does it read
     in  the  ENFF  format  (an  informal  extension  to  the Haines' NFF file
     format).

COMMAND LINE OPTIONS

     The following options are specific to this import converter:

     -i nff
          This is the optional command line option which  specifies  that  the
          input  data  is  in  the  Haines  NFF  file  format  (ASCII). If not
          specified then the converter will try  to  guess  the  input  file's
          format  from its file extension (.nff) and then from the contents of
          its file.

     -in-nff-report-statistics = [ yes | no ]
          If this option is enabled then the import converter will  print  out
          the number of objects and polygons that were parsed from the file.

CONVERSION PROCESS

     This converter reads in all  information  from  a  Haines  NFF  file  and
     converts  the  data  to  internal  representations.  The  conversions are
     described as follows:

          "v"  - viewing vectors and angles. These  parameters  are  converted
          into a camera definition.





                                                                             1



Import-NFF()               Unix Programmer's Manual               Import-NFF()


          "l"  - positional light location. This is  converted  into  a  point
          light source.

          "b"  - background color. This is  converted  into  a  uniform  color
          background color scheme.

          "f"  - object material properties. These are converted to equivalent
          an equivalent material definition.

          "c"  - cone or cylinder primitive. Adds either a  cone  or  cylinder
          object.

          "s"  - sphere primitive. Adds a sphere object.

          "p"  - polygon primitive & "pp" -  polygonal  patch  primitive.  All
          random  polygons  are  collected  in  a long list then optimized and
          stored as an indexed polygon mesh primitive (memory efficient).









































                                                                             2

