

Import-SLP()               Unix Programmer's Manual               Import-SLP()


NAME
     imp_slp - Pro/Engineer Render ("SLP") geometry import filter

SYNOPSIS

     This man page describes the options  specific  to  the  Pro/Engineer  SLP
     geometry import converter.

EXAMPLE CONVERSION SYNTAX

     To convert a  Pro/Engineer  SLP  file  to  Wavefront  using  the  default
     parameters listed in the setup.ini file:

          pt -i slp -o wave filename.slp

     To convert a Pro/Engineer SLP file to  VRML  and  override  some  of  the
     default options in setup.ini:

          pt -i slp -in-slp-report-statistics = yes -o vrml filename.slp

OVERVIEW

     This geometry import converter reads Pro/Engineer  SLP  ("Render")  files
     which  are  typically  exported  by Parametric Technologies' Pro/Engineer
     program.

     Rather than applying colors to each polygon vertex (as  done  inside  the
     SLP  file),  a  set of unique colors is computed from the file then these
     colors are used to create NuGraf  "surface"  definitions,  each  using  a
     unique  color.  Thus,  you  can  easily  modify  the  surface  (material)
     assignments of a SLP file by editing or re-assigning new  materials  once
     the SLP file has been imported.

COMMAND LINE OPTIONS

     The following options are specific to this import converter:

     -i slp
          This is the optional command line option which  specifies  that  the
          input  data  is  in the Pro/Engineer SLP file format (ASCII). If not
          specified then the converter will try  to  guess  the  input  file's
          format  from its file extension (.slp) and then from the contents of
          its file.

     -in-slp-report-statistics = [ yes | no ]
          If this option is set to 'yes' then the import converter will  print
          out  the  number  of  objects and polygons that were parsed from the
          file.

     -in-slp-explode-object = [ yes | no ]
          If this option is set to 'yes' then  the  imported  object  will  be
          broken apart (exploded) into separate pieces according to the colors
          assigned to each polygon. For example, if the imported file has half
          of  its  polygons assigned a red color and the other half assigned a
          white color then the object will be broken apart into  two  separate
          pieces,  each  with its own unique material (one material will use a


                                                                             1



Import-SLP()               Unix Programmer's Manual               Import-SLP()


          red color and the other material will use a white  color).  If  this
          option  is  not  enabled then the imported object will not be broken
          apart.























































                                                                             2

